OfflineStatus
POST
/v2/Payment/OfflineStatusOfflineStatus retrieves a list of transactions that were processed offline on the terminal. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
PaymentType*
enumReferenceId*
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Payment/OfflineStatus
1curl --location 'https://test.spinpos.net/v2/Payment/OfflineStatus' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "PaymentType": "Credit",
6 "ReferenceId": "",
7 "Tpn": "",
8 "RegisterId": "",
9 "Authkey": "",
10 "SPInProxyTimeout": ""
11}'
Response
// Awaiting response…
Sample response
{
"Transactions": [
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
},
"Amounts": {
"TotalAmount": 1.05,
"Amount": 1,
"TipAmount": null,
"FeeAmount": 0.03,
"TaxAmount": 0.02
},
"CardData": {
"CardType": "Mastercard",
"EntryType": "ChipContactless",
"Last4": "4111",
"First4": "5413",
"BIN": "541333",
"ExpirationDate": "1225",
"Name": "",
"CardBrand": ""
},
"EMVData": {
"ApplicationName": "Mastercard",
"AID": "A0000000041010",
"TVR": "0000008001",
"TSI": "2000",
"IAD": "0102030405060708",
"ARC": ""
},
"TransactionDateTime": ""
}
]
}